<MusicPlayerScreen>:

    ipaddress_text_input: ipaddress
    status_label: status
    myfilechooser: filechooser

    BoxLayout:
        orientation: 'vertical'

        BoxLayout:

            Button:
                size_hint: None, None
                size: 80, 80
                text: '<'
                on_release:
                    root.manager.transition.direction = 'right'
                    root.manager.current = 'MainScreen'

            Label:
                size_hint_y: None
                size: 100, 80
                text: 'MUSIC'

        BoxLayout:

            BoxLayout:
                size_hint_x: 7
                orientation: 'vertical'

                BoxLayout:

                    Label:
                        text: 'Device IP: '
                    TextInput:
                        id: ipaddress
                        text: ''
                        multiline: False

                BoxLayout:
                    orientation: 'horizontal'

                    Label:
                        text: 'Status: '

                    Label:
                        id: status
                        text: 'Connect Android Phone'

            BoxLayout:
                size_hint_x: 1
                orientation: 'vertical'

                Button:
                    size_hint: None, None
                    size: 100, 40
                    id: connect_btn
                    text: 'Connect'
                    on_release: root.on_connect()

                Button:
                    size_hint: None, None
                    size: 100, 40
                    disabled: True
                    id: disconnect_btn
                    text: 'Disconnect'
                    on_release: root.disconnect()



        FileChooserListView:
            size_hint_y: 3.25
            disabled: True
            id: filechooser
            filters: ['*.mp3', '*.flac']
            on_selection: root.play_selection()

        BoxLayout:
            orientation: 'horizontal'

            Label:
                size_hint_y: None
                size: 100, 40
                id: song_label
                text: ''

            ToggleButton:
                size_hint: None, None
                size: 100, 40
                text: 'PAUSE'
                on_release: root.pause()

            Button:
                size_hint: None, None
                size: 100, 40
                text: 'STOP'
                on_release: root.stop()
